Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete a template

DELETE/templates/{id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
idstringrequired

Template id or alias

min length 1
Responses
200

Template deleted. Broadcasts keep their own copy of the content.

objectstringrequired
Allowed:template
idstring<uuid>required
deletedbooleanrequired
Allowed:true
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.billionsend.com/templates/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "object": "template",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

Was this page helpful?